libosmocore - Feature #3617

support routing control and user plane over different NS links
10/02/2018 05:09 PM - laforge

Status: Resolved Start date: 10/02/2018
Priority: High Due date:

Assignee: laforge % Done: 100%
Category: libosmogb

Target version:

Spec Reference:

Description

it's somewhat hidden in the NS spec (TS 48.016) that at least when the SNS-CONFIG procedure is in use, the SGSN can configure
different NS links, e.g. one with data weight 0 and another one with control weight 0. This means that the control and data plane are

to be running on differnent links.

This requires significant architectural changes in libosmogb and its data model to support.

Related issues:

Related to OsmoSGSN - Feature #3373: Support for SNS auto-configuration (SIZE... Stalled 07/01/2018
Related to OsmoPCU - Feature #3372: Support for SNS auto-configuration (SIZE ... Resolved 07/01/2018
History

#1 - 10/02/2018 05:10 PM - laforge
- Related to Feature #3373: Support for SNS auto-configuration (SIZE / SNS-CONFIG procedure) added

#2 - 10/02/2018 05:10 PM - laforge
- Related to Feature #3372: Support for SNS auto-configuration (SIZE / SNS-CONFIG procedure) added

#4 - 02/18/2019 04:21 PM - laforge
- Status changed from New to In Progress

- % Done changed from 0 to 60

This is part of the laforge/gb-sns branch of libosmocore.git

#5 - 02/22/2019 10:33 PM - laforge
- % Done changed from 60 to 80

part of https:/gerrit.osmocom.org/#/c/libosmocore/+/13014/

#6 - 02/23/2019 02:25 PM - laforge
- % Done changed from 80 to 90

We now also have a TTCN-3 test verifying this functionality in https://gerrit.osmocom.org/#/c/osmo-ttcn3-hacks/+/13012/

| expect related patches to be merged soon.

#7 - 02/27/2019 12:23 AM - laforge
- % Done changed from 90 to 100

patches now merged.

#8 - 03/01/2019 10:51 PM - laforge

- Status changed from In Progress to Resolved
